Skip to main content
`Ctrl`+`K`

# PetscSectionSymDistribute

Distribute the symmetries in accordance with the input `PetscSF`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSymDistribute(PetscSectionSym sym, PetscSF migrationSF, PetscSectionSym *dsym)

Collective

## Input Parameters

- sym - the `PetscSectionSym`

- migrationSF - the distribution map from roots to leaves

## Output Parameter

- dsym - the redistributed symmetries

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionSymCreate()`, `PetscSectionSetSym()`, `PetscSectionGetSym()`, `PetscSectionSymLabelSetStratum()`, `PetscSectionGetPointSyms()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages